---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libap05t002.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x4480, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4CB90, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4EAD0, symBinAddr: 0xE140, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4EEB8, symBinAddr: 0xE528, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4FE58, symBinAddr: 0xF4C8, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4FE60, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xBC6, offset: 0xBC6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C800, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBD1, offset: 0xBD1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C804, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBDC, offset: 0xBDC, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C808, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC21, offset: 0xC21, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C958, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC9A, offset: 0xC9A, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4CA10, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCB8, offset: 0xCB8, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4CA14, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCD1, offset: 0xCD1, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4CA18, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCEA, offset: 0xCEA, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4CA1C, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xD03, offset: 0xD03, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4CA20, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x92C9, offset: 0x92C9, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4CA28, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x9352, offset: 0x9352, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4CA38, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x936B, offset: 0x936B, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4CA40, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9384, offset: 0x9384, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4CA48, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x939D, offset: 0x939D, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4CA50, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93B6, offset: 0x93B6, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4CA58, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93D0, offset: 0x93D0, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4CA60, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94B6, offset: 0x94B6, size: 0x8, addend: 0x0, symName: __ZL8forthRef, symObjAddr: 0x4CAA4, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x94CF, offset: 0x94CF, size: 0x8, addend: 0x0, symName: __ZL7backRef, symObjAddr: 0x4CAA8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94E8, offset: 0x94E8, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4CAB0, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x9501, offset: 0x9501, size: 0x8, addend: 0x0, symName: __ZL8referrer, symObjAddr: 0x4CAB8, symBinAddr: 0xC1E8, symSize: 0x0 }
  - { offsetInCU: 0x951A, offset: 0x951A, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4CAC0, symBinAddr: 0xC1F0, symSize: 0x0 }
  - { offsetInCU: 0x956C, offset: 0x956C, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x3444, symSize: 0xA0 }
  - { offsetInCU: 0x9601, offset: 0x9601, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x341C, symSize: 0x28 }
  - { offsetInCU: 0x9664, offset: 0x9664, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x339C, symSize: 0x80 }
  - { offsetInCU: 0x98F8, offset: 0x98F8, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x34E4, symSize: 0x34 }
  - { offsetInCU: 0x9952, offset: 0x9952, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3518, symSize: 0x20C }
  - { offsetInCU: 0x9B0B, offset: 0x9B0B, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x3724, symSize: 0x28 }
  - { offsetInCU: 0x9BD4, offset: 0x9BD4, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x374C, symSize: 0xB0 }
  - { offsetInCU: 0x9CCB, offset: 0x9CCB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x37FC, symSize: 0xD8 }
  - { offsetInCU: 0x9E1C, offset: 0x9E1C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x38D4, symSize: 0x24 }
  - { offsetInCU: 0x9EA7, offset: 0x9EA7, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x38F8, symSize: 0x168 }
  - { offsetInCU: 0xA083, offset: 0xA083, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x3A60, symSize: 0x104 }
  - { offsetInCU: 0xA334, offset: 0xA334, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x3B64, symSize: 0x3F8 }
  - { offsetInCU: 0xA558, offset: 0xA558, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3F5C, symSize: 0x154 }
  - { offsetInCU: 0xA73C, offset: 0xA73C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x40B0, symSize: 0xAC }
  - { offsetInCU: 0xA811, offset: 0xA811, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x415C, symSize: 0x14 }
  - { offsetInCU: 0xA84A, offset: 0xA84A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x4170, symSize: 0x14 }
  - { offsetInCU: 0xA883, offset: 0xA883, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x4184, symSize: 0x14 }
  - { offsetInCU: 0xAA00, offset: 0xAA00, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x4198, symSize: 0x1A8 }
  - { offsetInCU: 0xAD0A, offset: 0xAD0A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x4340, symSize: 0x140 }
  - { offsetInCU: 0xAEAB, offset: 0xAEAB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x46F0, symSize: 0x1C0 }
  - { offsetInCU: 0xB188, offset: 0xB188, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x48B0, symSize: 0x9C }
  - { offsetInCU: 0xB245, offset: 0xB245, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x494C, symSize: 0x690 }
  - { offsetInCU: 0xBDD7, offset: 0xBDD7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x93F0, symBinAddr: 0x5E08, symSize: 0x30 }
  - { offsetInCU: 0xBE63, offset: 0xBE63, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4FDC, symSize: 0x74 }
  - { offsetInCU: 0xBF13, offset: 0xBF13, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x5050, symSize: 0xB0 }
  - { offsetInCU: 0xC012, offset: 0xC012, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5100, symSize: 0x3C }
  - { offsetInCU: 0xC108, offset: 0xC108, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x513C, symSize: 0x29C }
  - { offsetInCU: 0xC44B, offset: 0xC44B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x53D8, symSize: 0xD0 }
  - { offsetInCU: 0xC579, offset: 0xC579, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x54A8, symSize: 0xC }
  - { offsetInCU: 0xC63B, offset: 0xC63B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x54B4, symSize: 0x22C }
  - { offsetInCU: 0xC8F6, offset: 0xC8F6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x56E0, symSize: 0x4 }
  - { offsetInCU: 0xC93A, offset: 0xC93A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x56E0, symSize: 0x4 }
  - { offsetInCU: 0xC953, offset: 0xC953, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x56E4, symSize: 0x280 }
  - { offsetInCU: 0xCC14, offset: 0xCC14, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F4C, symBinAddr: 0x5964, symSize: 0x4 }
  - { offsetInCU: 0xCC58, offset: 0xCC58, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F4C, symBinAddr: 0x5964, symSize: 0x4 }
  - { offsetInCU: 0xCC71, offset: 0xCC71, size: 0x8, addend: 0x0, symName: _heapRootCallback, symObjAddr: 0x8F50, symBinAddr: 0x5968, symSize: 0x8 }
  - { offsetInCU: 0xCCC2, offset: 0xCCC2, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0x8F58, symBinAddr: 0x5970, symSize: 0x8 }
  - { offsetInCU: 0xCD5D, offset: 0xCD5D, size: 0x8, addend: 0x0, symName: _objectReferenceCallback, symObjAddr: 0x8F60, symBinAddr: 0x5978, symSize: 0xC0 }
  - { offsetInCU: 0xCE04, offset: 0xCE04, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP05_ap05t002_setTag, symObjAddr: 0x9020, symBinAddr: 0x5A38, symSize: 0xB4 }
  - { offsetInCU: 0xCEFD, offset: 0xCEFD, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP05_ap05t002_setReferrer, symObjAddr: 0x90D4, symBinAddr: 0x5AEC, symSize: 0xB8 }
  - { offsetInCU: 0xCFEF, offset: 0xCFEF, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x918C, symBinAddr: 0x5BA4, symSize: 0x264 }
  - { offsetInCU: 0xD328, offset: 0xD328, size: 0x8, addend: 0x0, symName: __ZL7runCasev, symObjAddr: 0x9778, symBinAddr: 0x6190, symSize: 0x254 }
  - { offsetInCU: 0xD57A, offset: 0xD57A, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9420, symBinAddr: 0x5E38, symSize: 0x358 }
...
